<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <link rel="icon" type="image/png" href="./images/logo.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="theme-color" content="#000000" />
    <meta name="description" content="PWA Weather React Application" />
    <link rel="apple-touch-icon" href="./images/logo.png" />

    <link rel="manifest" href="./manifest.json" />

    <title>Weather PWA App</title>
  </head>
  <body>
    <noscript>You need to enable JavaScript to run this app.</noscript>
    <div id="root"></div>
    <script>
      if ( 'serviceWorker' in navigator ) {
        window.addEventListener('load', () => {
          navigator.serviceWorker.register('./serviceworker.js')
            .then(reg => console.log('Success', reg.scope))
            .catch(err => console.log('Failure', err))
        })
      }
    </script>
  </body>
</html>
